{
    "name": "@typemon/dynamodb-expression",
    "version": "3.0.2",
    "description": "DynamoDB expression builder for TypeScript",
    "main": "dist/index.js",
    "scripts": {
        "test": "ts-node --project ./tsconfig.spec.json ./test.ts",
        "clean": "rimraf ./*.tgz ./dist",
        "lint": "tslint -p ./tsconfig.compile.json",
        "precompile": "npm run clean && npm run lint",
        "compile": "tsc -p ./tsconfig.compile.json",
        "prepublishOnly": "npm run compile",
        "postpublish": "npm run clean"
    },
    "repository": {
        "type": "git",
        "url": "https://gitlab.com/monster-space-network/typemon/dynamodb-expression.git"
    },
    "keywords": [
        "monster-space-network",
        "typemon",
        "dynamodb-expression",
        "aws-sdk",
        "dynamodb",
        "document-client",
        "expression",
        "expressions",
        "condition-expressions",
        "filter-expressions",
        "update-expressions"
    ],
    "author": {
        "email": "monsterspace.network@gmail.com",
        "name": "Monster Space Network",
        "url": "https://monsterspace.network"
    },
    "license": "MIT",
    "peerDependencies": {
        "@typemon/types": "2.x",
        "aws-sdk": "2.x"
    },
    "dependencies": {
        "@typemon/types": "^2.2.0",
        "aws-sdk": "^2.419.0"
    },
    "devDependencies": {
        "@typemon/lint-rules": "^1.0.1",
        "@types/node": "^11.11.1",
        "rimraf": "^2.6.3",
        "ts-node": "^8.0.3",
        "tslint": "^5.13.1",
        "typescript": "^3.3.3333"
    }
}
